Package org.eclipse.emf.spi.cdo

## Class InternalCDOSession.CommitToken

- java.lang.Object
- - org.eclipse.emf.spi.cdo.InternalCDOSession.CommitToken

- Enclosing interface:
    InternalCDOSession

      public static final class InternalCDOSession.CommitToken
      extends java.lang.Object

  A token that is maintained during local commits of transactions.
  Since:
    4.5
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CommitToken​(int commitNumber, java.lang.String threadName)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `int` | `getCommitNumber()` |
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CommitToken

          public CommitToken​(int commitNumber,
                             java.lang.String threadName)

  - ### Method Detail

    - #### getCommitNumber

          public int getCommitNumber()

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`